DecodeWindowing.DecodeWindowMode

com.hsm.barcode

## Class DecodeWindowing.DecodeWindowMode

- java.lang.Object
- - com.hsm.barcode.DecodeWindowing.DecodeWindowMode

- Enclosing class:
    DecodeWindowing

      public static final class DecodeWindowing.DecodeWindowMode
      extends java.lang.Object

  Decode Window Mode setting. Limits that are allowed to be specified.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DECODE_WINDOW_MODE_AIMER` Window around aimer (center of image must be covered, since the aimer coordinates offset the window from center)
    `static int` | `DECODE_WINDOW_MODE_DISABLED` Disables Decode Window
    `static int` | `DECODE_WINDOW_MODE_FIELD_OF_VIEW` Window as defined in field of view
    `static int` | `DECODE_WINDOW_MODE_SUB_IMAGE` Sub-image or window as defined in field of view (barcode must be decodable within entire window)

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DECODE_WINDOW_MODE_DISABLED

          public static final int DECODE_WINDOW_MODE_DISABLED

      Disables Decode Window
      See Also:
        Constant Field Values

    - #### DECODE_WINDOW_MODE_AIMER

          public static final int DECODE_WINDOW_MODE_AIMER

      Window around aimer (center of image must be covered, since the aimer coordinates offset the window from center)
      See Also:
        Constant Field Values

    - #### DECODE_WINDOW_MODE_FIELD_OF_VIEW

          public static final int DECODE_WINDOW_MODE_FIELD_OF_VIEW

      Window as defined in field of view
      See Also:
        Constant Field Values

    - #### DECODE_WINDOW_MODE_SUB_IMAGE

          public static final int DECODE_WINDOW_MODE_SUB_IMAGE

      Sub-image or window as defined in field of view (barcode must be decodable within entire window)
      See Also:
        Constant Field Values